<template>
    <div class="anim info" :class="divClass" :tooltip="info">
        <svg :class="svgClass" :style="svgStyle">
            <use xlink:href="/img/sprite.svg#information-circular-button-symbol"/>
        </svg>
    </div>
</template>

<script>
	export default {
		name: "Tooltip",
        props: ['info', 'ml', 'isAbsolute'],
        computed: {
		    divClass(){
                return {
                    iAbsolute: Boolean(this.isAbsolute)
                }
            },
            svgClass(){
                return {
                    iAbsolute: Boolean(this.isAbsolute)
                }
            },
		    svgStyle(){
		        return {
		            'margin-left': Number.isInteger(this.ml) ? this.ml + 'px' : 0
                }
            }
        }
	}
</script>

<style scoped>
    svg {
        width: 17px;
        height: 17px;
        fill: #3069e9;
    }
    .info{
        position: relative;
    }
    .info:before,
    .info:after {
        position: absolute;
        content: '';
        opacity: 0;
        transition: all 0.4s ease;
    }

    .info:before {
        border-width: 10px 8px 0 8px;
        border-style: solid;
        border-color: #2b5ede transparent transparent transparent;
        top: -16px;
        left: 0;
        transform: translateY(20px);
    }

    .info:after {
        display: none;
        content: attr(tooltip);
        background: #2b5ede;
        width: 160px;
        height: auto;
        color: #fff;
        font-size: 13px;
        font-weight: 300;
        top: -75px;
        left: -140px;
        padding: 10px;
        border-radius: 5px;
        letter-spacing: 1px;
        transform: translateY(20px);
    }

    .iAbsolute:after{
        min-height: 42px;
    }

    .info:hover::before,
    .info:hover::after {
        display: block;
        opacity: 1;
        transform: translateY(-2px);
    }
</style>
